# -*- coding: utf-8 -*-

#    Copyright 2010 Tim Prosser

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

from PyQt4 import QtCore, QtGui

try:
    _fromUtf8 = QtCore.QString.fromUtf8
except AttributeError:
    _fromUtf8 = lambda s: s

class Ui_OSGB(object):
    def setupUi(self, OSGB):
        OSGB.setObjectName(_fromUtf8("OSGB"))
        OSGB.resize(800, 400)
        self.centralwidget = QtGui.QWidget(OSGB)
        self.centralwidget.setObjectName(_fromUtf8("centralwidget"))
        self.ALT = QtGui.QLabel(self.centralwidget)
        self.ALT.setGeometry(QtCore.QRect(485, 45, 310, 105))
        font = QtGui.QFont()
        font.setPointSize(36)
        self.ALT.setFont(font)
        self.ALT.setFrameShape(QtGui.QFrame.Box)
        self.ALT.setText(_fromUtf8(""))
        self.ALT.setAlignment(QtCore.Qt.AlignCenter)
        self.ALT.setObjectName(_fromUtf8("ALT"))
        self.GR = QtGui.QLabel(self.centralwidget)
        self.GR.setGeometry(QtCore.QRect(5, 45, 475, 105))
        font = QtGui.QFont()
        font.setPointSize(36)
        self.GR.setFont(font)
        self.GR.setFrameShape(QtGui.QFrame.Box)
        self.GR.setText(_fromUtf8(""))
        self.GR.setAlignment(QtCore.Qt.AlignCenter)
        self.GR.setObjectName(_fromUtf8("GR"))
        self.satframe = QtGui.QFrame(self.centralwidget)
        self.satframe.setGeometry(QtCore.QRect(5, 195, 360, 125))
        self.satframe.setFrameShape(QtGui.QFrame.Box)
        self.satframe.setFrameShadow(QtGui.QFrame.Plain)
        self.satframe.setObjectName(_fromUtf8("satframe"))
        self.SatStr_1 = QtGui.QProgressBar(self.satframe)
        self.SatStr_1.setGeometry(QtCore.QRect(1, 0, 29, 125))
        font = QtGui.QFont()
        font.setPointSize(8)
        self.SatStr_1.setFont(font)
        self.SatStr_1.setAutoFillBackground(False)
        self.SatStr_1.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_1.setProperty(_fromUtf8("value"), 0)
        self.SatStr_1.setTextVisible(False)
        self.SatStr_1.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_1.setObjectName(_fromUtf8("SatStr_1"))
        self.SatStr_2 = QtGui.QProgressBar(self.satframe)
        self.SatStr_2.setGeometry(QtCore.QRect(30, 0, 30, 125))
        self.SatStr_2.setAutoFillBackground(False)
        self.SatStr_2.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_2.setProperty(_fromUtf8("value"), 0)
        self.SatStr_2.setTextVisible(False)
        self.SatStr_2.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_2.setObjectName(_fromUtf8("SatStr_2"))
        self.SatStr_3 = QtGui.QProgressBar(self.satframe)
        self.SatStr_3.setGeometry(QtCore.QRect(60, 0, 30, 125))
        self.SatStr_3.setAutoFillBackground(False)
        self.SatStr_3.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_3.setProperty(_fromUtf8("value"), 0)
        self.SatStr_3.setTextVisible(False)
        self.SatStr_3.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_3.setObjectName(_fromUtf8("SatStr_3"))
        self.SatStr_4 = QtGui.QProgressBar(self.satframe)
        self.SatStr_4.setGeometry(QtCore.QRect(90, 0, 30, 125))
        self.SatStr_4.setAutoFillBackground(False)
        self.SatStr_4.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_4.setProperty(_fromUtf8("value"), 0)
        self.SatStr_4.setTextVisible(False)
        self.SatStr_4.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_4.setObjectName(_fromUtf8("SatStr_4"))
        self.SatStr_5 = QtGui.QProgressBar(self.satframe)
        self.SatStr_5.setGeometry(QtCore.QRect(120, 0, 30, 125))
        self.SatStr_5.setAutoFillBackground(False)
        self.SatStr_5.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_5.setProperty(_fromUtf8("value"), 0)
        self.SatStr_5.setTextVisible(False)
        self.SatStr_5.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_5.setObjectName(_fromUtf8("SatStr_5"))
        self.SatStr_6 = QtGui.QProgressBar(self.satframe)
        self.SatStr_6.setGeometry(QtCore.QRect(150, 0, 30, 125))
        self.SatStr_6.setAutoFillBackground(False)
        self.SatStr_6.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_6.setProperty(_fromUtf8("value"), 0)
        self.SatStr_6.setTextVisible(False)
        self.SatStr_6.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_6.setObjectName(_fromUtf8("SatStr_6"))
        self.SatStr_7 = QtGui.QProgressBar(self.satframe)
        self.SatStr_7.setGeometry(QtCore.QRect(180, 0, 30, 125))
        self.SatStr_7.setAutoFillBackground(False)
        self.SatStr_7.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_7.setProperty(_fromUtf8("value"), 0)
        self.SatStr_7.setTextVisible(False)
        self.SatStr_7.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_7.setObjectName(_fromUtf8("SatStr_7"))
        self.SatStr_8 = QtGui.QProgressBar(self.satframe)
        self.SatStr_8.setGeometry(QtCore.QRect(210, 0, 30, 125))
        self.SatStr_8.setAutoFillBackground(False)
        self.SatStr_8.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_8.setProperty(_fromUtf8("value"), 0)
        self.SatStr_8.setTextVisible(False)
        self.SatStr_8.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_8.setObjectName(_fromUtf8("SatStr_8"))
        self.SatStr_9 = QtGui.QProgressBar(self.satframe)
        self.SatStr_9.setGeometry(QtCore.QRect(240, 0, 30, 125))
        self.SatStr_9.setAutoFillBackground(False)
        self.SatStr_9.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_9.setProperty(_fromUtf8("value"), 0)
        self.SatStr_9.setTextVisible(False)
        self.SatStr_9.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_9.setObjectName(_fromUtf8("SatStr_9"))
        self.SatStr_10 = QtGui.QProgressBar(self.satframe)
        self.SatStr_10.setGeometry(QtCore.QRect(270, 0, 30, 125))
        self.SatStr_10.setAutoFillBackground(False)
        self.SatStr_10.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_10.setProperty(_fromUtf8("value"), 0)
        self.SatStr_10.setTextVisible(False)
        self.SatStr_10.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_10.setObjectName(_fromUtf8("SatStr_10"))
        self.SatStr_11 = QtGui.QProgressBar(self.satframe)
        self.SatStr_11.setGeometry(QtCore.QRect(300, 0, 30, 125))
        self.SatStr_11.setAutoFillBackground(False)
        self.SatStr_11.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_11.setProperty(_fromUtf8("value"), 0)
        self.SatStr_11.setTextVisible(False)
        self.SatStr_11.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_11.setObjectName(_fromUtf8("SatStr_11"))
        self.SatStr_12 = QtGui.QProgressBar(self.satframe)
        self.SatStr_12.setGeometry(QtCore.QRect(330, 0, 29, 125))
        self.SatStr_12.setAutoFillBackground(False)
        self.SatStr_12.setStyleSheet(_fromUtf8("QProgressBar {background-color:#111;color:#111;border: 5px solid #111;} QProgressBar::chunk{background-color: #111}"))
        self.SatStr_12.setProperty(_fromUtf8("value"), 0)
        self.SatStr_12.setTextVisible(False)
        self.SatStr_12.setOrientation(QtCore.Qt.Vertical)
        self.SatStr_12.setObjectName(_fromUtf8("SatStr_12"))
        self.GR_Lbl = QtGui.QLabel(self.centralwidget)
        self.GR_Lbl.setGeometry(QtCore.QRect(5, 5, 475, 40))
        font = QtGui.QFont()
        font.setPointSize(20)
        self.GR_Lbl.setFont(font)
        self.GR_Lbl.setFrameShape(QtGui.QFrame.Box)
        self.GR_Lbl.setAlignment(QtCore.Qt.AlignCenter)
        self.GR_Lbl.setObjectName(_fromUtf8("GR_Lbl"))
        self.ALT_Lbl = QtGui.QLabel(self.centralwidget)
        self.ALT_Lbl.setGeometry(QtCore.QRect(485, 5, 310, 40))
        font = QtGui.QFont()
        font.setPointSize(20)
        self.ALT_Lbl.setFont(font)
        self.ALT_Lbl.setFrameShape(QtGui.QFrame.Box)
        self.ALT_Lbl.setAlignment(QtCore.Qt.AlignCenter)
        self.ALT_Lbl.setObjectName(_fromUtf8("ALT_Lbl"))
        self.GR_Lbl_2 = QtGui.QLabel(self.centralwidget)
        self.GR_Lbl_2.setGeometry(QtCore.QRect(5, 155, 360, 40))
        font = QtGui.QFont()
        font.setPointSize(20)
        self.GR_Lbl_2.setFont(font)
        self.GR_Lbl_2.setFrameShape(QtGui.QFrame.Box)
        self.GR_Lbl_2.setAlignment(QtCore.Qt.AlignCenter)
        self.GR_Lbl_2.setObjectName(_fromUtf8("GR_Lbl_2"))
        self.TIME = QtGui.QLabel(self.centralwidget)
        self.TIME.setGeometry(QtCore.QRect(5, 355, 790, 40))
        font = QtGui.QFont()
        font.setPointSize(20)
        self.TIME.setFont(font)
        self.TIME.setFrameShape(QtGui.QFrame.Box)
        self.TIME.setText(_fromUtf8(""))
        self.TIME.setAlignment(QtCore.Qt.AlignCenter)
        self.TIME.setObjectName(_fromUtf8("TIME"))
        self.satframe_lbl = QtGui.QFrame(self.centralwidget)
        self.satframe_lbl.setGeometry(QtCore.QRect(5, 320, 360, 30))
        self.satframe_lbl.setFrameShape(QtGui.QFrame.Box)
        self.satframe_lbl.setFrameShadow(QtGui.QFrame.Plain)
        self.satframe_lbl.setObjectName(_fromUtf8("satframe_lbl"))
        self.label_12 = QtGui.QLabel(self.satframe_lbl)
        self.label_12.setGeometry(QtCore.QRect(330, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_12.setFont(font)
        self.label_12.setText(_fromUtf8(""))
        self.label_12.setAlignment(QtCore.Qt.AlignCenter)
        self.label_12.setObjectName(_fromUtf8("label_12"))
        self.label_10 = QtGui.QLabel(self.satframe_lbl)
        self.label_10.setGeometry(QtCore.QRect(270, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_10.setFont(font)
        self.label_10.setText(_fromUtf8(""))
        self.label_10.setAlignment(QtCore.Qt.AlignCenter)
        self.label_10.setObjectName(_fromUtf8("label_10"))
        self.label_1 = QtGui.QLabel(self.satframe_lbl)
        self.label_1.setGeometry(QtCore.QRect(0, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_1.setFont(font)
        self.label_1.setText(_fromUtf8(""))
        self.label_1.setAlignment(QtCore.Qt.AlignCenter)
        self.label_1.setObjectName(_fromUtf8("label_1"))
        self.label_6 = QtGui.QLabel(self.satframe_lbl)
        self.label_6.setGeometry(QtCore.QRect(150, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_6.setFont(font)
        self.label_6.setText(_fromUtf8(""))
        self.label_6.setAlignment(QtCore.Qt.AlignCenter)
        self.label_6.setObjectName(_fromUtf8("label_6"))
        self.label_8 = QtGui.QLabel(self.satframe_lbl)
        self.label_8.setGeometry(QtCore.QRect(210, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_8.setFont(font)
        self.label_8.setText(_fromUtf8(""))
        self.label_8.setAlignment(QtCore.Qt.AlignCenter)
        self.label_8.setObjectName(_fromUtf8("label_8"))
        self.label_11 = QtGui.QLabel(self.satframe_lbl)
        self.label_11.setGeometry(QtCore.QRect(300, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_11.setFont(font)
        self.label_11.setText(_fromUtf8(""))
        self.label_11.setAlignment(QtCore.Qt.AlignCenter)
        self.label_11.setObjectName(_fromUtf8("label_11"))
        self.label_3 = QtGui.QLabel(self.satframe_lbl)
        self.label_3.setGeometry(QtCore.QRect(60, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_3.setFont(font)
        self.label_3.setText(_fromUtf8(""))
        self.label_3.setAlignment(QtCore.Qt.AlignCenter)
        self.label_3.setObjectName(_fromUtf8("label_3"))
        self.label_2 = QtGui.QLabel(self.satframe_lbl)
        self.label_2.setGeometry(QtCore.QRect(30, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_2.setFont(font)
        self.label_2.setText(_fromUtf8(""))
        self.label_2.setAlignment(QtCore.Qt.AlignCenter)
        self.label_2.setObjectName(_fromUtf8("label_2"))
        self.label_7 = QtGui.QLabel(self.satframe_lbl)
        self.label_7.setGeometry(QtCore.QRect(180, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_7.setFont(font)
        self.label_7.setText(_fromUtf8(""))
        self.label_7.setAlignment(QtCore.Qt.AlignCenter)
        self.label_7.setObjectName(_fromUtf8("label_7"))
        self.label_4 = QtGui.QLabel(self.satframe_lbl)
        self.label_4.setGeometry(QtCore.QRect(90, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_4.setFont(font)
        self.label_4.setText(_fromUtf8(""))
        self.label_4.setAlignment(QtCore.Qt.AlignCenter)
        self.label_4.setObjectName(_fromUtf8("label_4"))
        self.label_9 = QtGui.QLabel(self.satframe_lbl)
        self.label_9.setGeometry(QtCore.QRect(240, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_9.setFont(font)
        self.label_9.setText(_fromUtf8(""))
        self.label_9.setAlignment(QtCore.Qt.AlignCenter)
        self.label_9.setObjectName(_fromUtf8("label_9"))
        self.label_5 = QtGui.QLabel(self.satframe_lbl)
        self.label_5.setGeometry(QtCore.QRect(120, 0, 30, 30))
        font = QtGui.QFont()
        font.setPointSize(11)
        self.label_5.setFont(font)
        self.label_5.setText(_fromUtf8(""))
        self.label_5.setAlignment(QtCore.Qt.AlignCenter)
        self.label_5.setObjectName(_fromUtf8("label_5"))
        self.Speed_Lbl = QtGui.QLabel(self.centralwidget)
        self.Speed_Lbl.setGeometry(QtCore.QRect(370, 155, 425, 40))
        font = QtGui.QFont()
        font.setPointSize(20)
        self.Speed_Lbl.setFont(font)
        self.Speed_Lbl.setFrameShape(QtGui.QFrame.Box)
        self.Speed_Lbl.setAlignment(QtCore.Qt.AlignCenter)
        self.Speed_Lbl.setObjectName(_fromUtf8("Speed_Lbl"))
        self.Speed = QtGui.QLabel(self.centralwidget)
        self.Speed.setGeometry(QtCore.QRect(370, 195, 425, 155))
        font = QtGui.QFont()
        font.setPointSize(36)
        self.Speed.setFont(font)
        self.Speed.setFrameShape(QtGui.QFrame.Box)
        self.Speed.setText(_fromUtf8(""))
        self.Speed.setAlignment(QtCore.Qt.AlignCenter)
        self.Speed.setObjectName(_fromUtf8("Speed"))
        OSGB.setCentralWidget(self.centralwidget)

        self.retranslateUi(OSGB)
        QtCore.QMetaObject.connectSlotsByName(OSGB)

    def retranslateUi(self, OSGB):
        OSGB.setWindowTitle(QtGui.QApplication.translate("OSGB", "OSGB", None, QtGui.QApplication.UnicodeUTF8))
        self.GR_Lbl.setText(QtGui.QApplication.translate("OSGB", "OS Grid Reference", None, QtGui.QApplication.UnicodeUTF8))
        self.ALT_Lbl.setText(QtGui.QApplication.translate("OSGB", "Altitude", None, QtGui.QApplication.UnicodeUTF8))
        self.GR_Lbl_2.setText(QtGui.QApplication.translate("OSGB", "Satellites", None, QtGui.QApplication.UnicodeUTF8))
        self.Speed_Lbl.setText(QtGui.QApplication.translate("OSGB", "Speed", None, QtGui.QApplication.UnicodeUTF8))

